Wallet Infrastructure
Wallet Infrastructure
Webhooks

Delete webhook endpoint

DELETE
/v1/webhook-endpoints/{id}

Requires scope webhooks:write.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Query Parameters

projectId?unknown

The project whose endpoints to manage.

Response Body

204

The webhook endpoint was deleted

401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X DELETE 'https://api.pilot.shiga.io/v1/webhook-endpoints/{id}' \  -H 'Authorization: Bearer sk_test_...'
Example Response
Empty